package com.rjconsultores.ventaboletos.service.impl;

import java.util.Calendar;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.EmpresaPMArtespConfigDAO;
import com.rjconsultores.ventaboletos.entidad.Empresa;
import com.rjconsultores.ventaboletos.entidad.EmpresaPMArtespConfig;
import com.rjconsultores.ventaboletos.service.EmpresaPMArtespConfigService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;

@Service("EmpresaPMArtespConfigService")
public class EmpresaPMArtespConfigServiceImpl implements EmpresaPMArtespConfigService {

	@Autowired
	private EmpresaPMArtespConfigDAO empresaPMArtespConfigDAO;

	@Override
	public List<EmpresaPMArtespConfig> obtenerTodos() {
		return empresaPMArtespConfigDAO.obtenerTodos();
	}

	@Override
	public EmpresaPMArtespConfig obtenerID(Integer id) {
		return empresaPMArtespConfigDAO.obtenerID(id);
	}

	@Override
	@Transactional
	public EmpresaPMArtespConfig suscribir(EmpresaPMArtespConfig entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.TRUE);

		return empresaPMArtespConfigDAO.suscribir(entidad);
	}

	@Override
	@Transactional
	public EmpresaPMArtespConfig actualizacion(EmpresaPMArtespConfig entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.TRUE);

		return empresaPMArtespConfigDAO.actualizacion(entidad);
	}

	@Override
	@Transactional
	public void borrar(EmpresaPMArtespConfig entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.FALSE);

		empresaPMArtespConfigDAO.actualizacion(entidad);

	}

	@Override
	public EmpresaPMArtespConfig buscarPorEmpresa(Empresa empresa) {
		return empresaPMArtespConfigDAO.buscarPorEmpresa(empresa);
	}

}
